> For the complete documentation index, see [llms.txt](https://docs.mapsindoors.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mapsindoors.com/sdks-and-frameworks/ios/displaying-objects/enabling-and-disabling-features-on-the-map.md).

# Enabling and Disabling features on the map

From version 4.3.9 of MapsIndoorsMapbox11 it is possible to hide certain map features on the map.

### **Toggling MapsIndoors features**

You can toggle the rendered features on the map through MapControl, by using `hiddenFeatures`.

This code example removes all 3D features on the map.

```swift
mapControl?.hiddenFeatures = [MPFeatureType.extrudedBuildings.rawValue,
                              MPFeatureType.extrusion3D.rawValue,
                              MPFeatureType.walls3D.rawValue,
                              MPFeatureType.model3D.rawValue]
```

All features that you can enable and disable can be seen on [`MPFeatureType`](https://app.mapsindoors.com/mapsindoors/reference/android/4.8.8/MapsIndoorsSDK/com.mapsindoors.core/-m-p-feature-type/index.html)​.

Clearing the hiddenFeatures can be done by setting it to an empty array:

```swift
mapControl?.hiddenFeatures = []
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mapsindoors.com/sdks-and-frameworks/ios/displaying-objects/enabling-and-disabling-features-on-the-map.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
